Buat video Veo3 secara asynchronous melalui POST /v1/videos di CometAPI, mengembalikan task id dan mendukung panduan frame pertama/terakhir untuk klip 8 detik.
curl --request POST \
--url https://api.cometapi.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'prompt=A paper kite floats above a field.' \
--form input_reference='@example-file'{
"created_at": 1773297229,
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"model": "veo_3_1-4K",
"object": "video",
"progress": 0,
"seconds": "",
"size": "16x9",
"status": "queued"
}/v1/videos. Pilih alias Veo yang saat ini tersedia dari halaman Models saat menetapkan model.
input_referenceinput_referenceinput_reference yang berurutanPoll endpoint video bersama
model dalam response mungkin menampilkan id model backend yang sudah di-resolve alih-alih alias yang Anda kirimkan. Gunakan halaman Models untuk menemukan alias Veo yang saat ini tersedia.Bearer token authentication. Use your CometAPI key.
Text prompt for the video job.
"A paper kite floats above a field."
CometAPI Veo alias. Use a current Veo alias from the Models page. The response may resolve this alias to a provider model id.
"veo3-fast"
Orientation hint used by the wrapper. Use a landscape-like value such as 16x9 or a portrait-like value such as 9x16.
"16x9"
Optional image input. Send one file for image-to-video or two ordered files for first-frame and last-frame guidance.
curl --request POST \
--url https://api.cometapi.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'prompt=A paper kite floats above a field.' \
--form input_reference='@example-file'{
"created_at": 1773297229,
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"model": "veo_3_1-4K",
"object": "video",
"progress": 0,
"seconds": "",
"size": "16x9",
"status": "queued"
}